Altium Designer Documentation

Altium Infrastructure Server - Системные требования

Главная страница: Altium Infrastructure Server

Перед установкой Altium Infrastructure Server убедитесь, что ваш компьютер/сервер соответствует системным требованиям, подробно описанным ниже.

Поддержка операционных систем

Altium Infrastructure Server может быть установлен на ПК с одной из следующих операционных систем:

  • Windows 10 (32- или 64-разрядная версия)
  • Windows 8.1 (32- или 64-разрядная версия)
  • Windows 8 (32- или 64-разрядная версия)
  • Windows 7 (32- или 64-разрядная версия)
  • Windows Server 2016 Standard Edition
  • Windows Server 2008/2012 R2 (32- или 64-разрядная версия, где применимо)
Altium Infrastructure Server не может быть установлен на ПК под управлением Windows XP. Кроме того, вы не сможете установить Altium Infrastructure Server, если ваша версия операционной системы Windows не поддерживает проверку подлинности Windows (в том числе версии Core, Home, Starter и Base).
Altium Infrastructure Server для успешной работы и доступа использует ряд компонентов среды исполнения Microsoft, в некоторых ситуациях они могут отсутствовать на целевой машине. Если при попытке войти на сервер Altium Infrastructure Server появляется сообщение об ошибке недостающей библиотеки (DLL), это указывает на отсутствие компонентов среды выполнения Microsoft. В настоящее время это известно только в Windows Server 2008 R2 x64 Datacenter. Для загрузки и установки отсутствующих компонентов используйте эту ссылку: http://www.microsoft.com/en-us/download/confirmation.aspx?id=29

Рекомендуемые системные требования

Ниже приведены рекомендуемые системные требования для установки и запуска Altium Infrastructure Server. Обратите внимание, что эти рекомендации предназначены для 10-30 одновременных пользователей.

  • Операционная система: Windows Server 2012 R2
  • ОЗУ: 16 ГБ и более
  • Процессор: Intel® Xeon® или его эквивалент (4 или более ядер)
  • Свободное пространство на диске: 200 ГБ (SSD)

Минимальные системные требования

Ниже приведены минимальные системные требования для установки и запуска Altium Infrastructure Server. Обратите внимание, что эти рекомендации предназначены для 10-30 одновременных пользователей.

  • Операционная система: Windows 7
  • ОЗУ: 8 ГБ и более
  • Процессор: Intel Core i3/i5 или его эквивалент (2 или более ядра)
  • Свободное пространство на диске: 200 ГБ

Требования к версии Altium Designer

Для полного доступа и использования функций и технологий, связанных с сервером Altium Infrastructure Server и установленного с ним Altium Designer, требуется Altium Designer версии 16.0 или выше.

Процесс установки и прочее программное обеспечение

Поскольку наблюдается непредсказуемое поведение антивирусного программного обеспечения, рекомендуется отключить это ПО во время установки Altium Infrastructure Server.

Если на компьютере также запущен Microsoft Exchange Server, то при первой попытке входа в систему может появиться ошибка HTTP 503. Установка Exchange Server может изменить конфигурацию служб IIS таким образом, что она будет конфликтовать с Altium Infrastructure Server. Чтобы устранить эту проблему, в файл applicationHost.config необходимо внести следующие изменения:

<handlers accessPolicy="Read, Script">
...

<add name="kerbauth" image="C:\Program Files\Microsoft\Exchange Server\V15\Bin\kerbauth.dll" preCondition="bitness64" />
<add name="WSMan" image="C:\Windows\system32\wsmsvc.dll" preCondition="bitness64" />
<add name="exppw" image="C:\Program Files\Microsoft\Exchange Server\V15\ClientAccess\Owa\auth\exppw.dll" preCondition="bitness64" />
<add name="cafe_exppw" image="C:\Program Files\Microsoft\Exchange Server\V15\FrontEnd\HttpProxy\bin\exppw.dll"  preCondition="bitness64" />

...
</handlers>

За дополнительной информацией о файле ApplicationHost.config обратитесь к этой статье. Информацию об изменении этого файла см. в этой статье.

Требования к установке и настройке дополнительного программного обеспечения

  • Internet Information Services (IIS). Для правильной работы Altium Infrastructure Server требуется как минимум версия 7.5 (IIS 7.5). Во время установки сервера Altium Infrastructure Server будет также установлен IIS той версии, которая соответствует вашей операционной системе:
    • IIS 10.0 - Windows 10 и Windows Server 2016 Standard Edition
    • IIS 8.5 - Windows 8.1 и Windows Server 2012 R2
    • IIS 8.0 - Windows 8
    • IIS 7.5 - Windows 7 и Windows Server 2008 R2
  • Firebird 2.5.
  • .NET Framework 4.5.2
Обнаружили проблему в этом документе? Выделите область и нажмите Ctrl+Enter, чтобы оповестить нас.

Связаться с нами

Связаться с нашими Представительствами напрямую

We're sorry to hear the article wasn't helpful to you.
Could you take a moment to tell us why?
200 characters remaining
Вы сообщаете о проблеме, связанной со следующим выделенным текстом
и/или изображением в активном документе: